Subject: [core] Charter update proposal

From: Carsten Bormann <[email-masked]>
Date: Mon, 23 Mar 2015 17:37:57 -0500

As you know, we are overdue for a rechartering, both because much of the
work laid out in the original charter is now done, and because there is
good work going on not yet covered by the charter.

I have written up a rough draft that still needs a bit of wordsmithing.
Before we spend time on this, I'd like to get some feedback from the WG
whether this proposal is going in the right direction.  Of course, once
we are satisfied, we still have to convince the IETF and the IESG.

You can find the current version of the proposal at:
https://svn.tools.ietf.org/svn/wg/core/charter-ietf-core.txt
Comments to the list or right to me are welcome.

Grüße, Carsten

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 26 Mar 2015 22:38:26 -0500

I have updated the below referenced Charter update proposal based on the
minutes from the meeting today.  Have I missed anything?  Comments up to
and during tomorrow's meeting would be particularly welcome.

Grüße, Carsten

Carsten Bormann wrote:
> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core
> 
>

---

From: "Rahman, Akbar" <[email-masked]>
Date: Fri, 27 Mar 2015 05:20:10 +0000

Hi Carsten,

Thanks, it looks good.  One point that I think could be improved is as follows:

FROM:
---------
RFC 7252 defines a basic HTTP mapping for CoAP.  This will be evolved and supported by further documents.

TO:
-----
RFC 7252 and http://datatracker.ietf.org/doc/draft-ietf-core-http-mapping/ defines a basic HTTP mapping for CoAP.  This will be evolved and supported by further documents.

Best Regards,

Akbar

-----Original Message-----
From: core [mailto:[email-masked]] On Behalf Of Carsten Bormann
Sent: Thursday, March 26, 2015 11:38 PM
To: [email-masked] WG
Subject: Re: [core] Charter update proposal

I have updated the below referenced Charter update proposal based on the minutes from the meeting today.  Have I missed anything?  Comments up to and during tomorrow's meeting would be particularly welcome.

Grüße, Carsten

Carsten Bormann wrote:
> As you know, we are overdue for a rechartering, both because much of
> the work laid out in the original charter is now done, and because
> there is good work going on not yet covered by the charter.
>
> Before we spend time on this, I'd like to get some feedback from the
> WG whether this proposal is going in the right direction.  Of course,
> once we are satisfied, we still have to convince the IETF and the IESG.
>

---

From: peter van der Stok <[email-masked]>
Date: Fri, 27 Mar 2015 15:58:02 +0100

Hi Carsten,

I played around with your sleepy node text.

below an alternative. May be this may inspire you.

CoAP supports various forms of "caching". For example the subject of 
temporarily non communicating (Tnc) nodes is relevant for very small 
electrically autonomous devices. Concretely, if a
   Tnc sensor wakes up every five minutes
   and sends the current temperature to a proxy,
   the proxy, receiving a request over HTTP for that temperature 
resource,
   can respond with the last seen value.  The querying node is not 
constantly receiving error reports when querying the
   tnc sensor during its non communicating period.

Peter

Carsten Bormann schreef op 2015-03-27 04:38:
>> the
>> WG

---

From: "weigengyu" <[email-masked]>
Date: Fri, 27 Mar 2015 23:36:00 +0800

Hi Carsten,

It is good.
My two suggestions:

1 including deviices on mobile communication networks.
" CoAP is designed for use between Devices on the same constrained
  network, between Devices and general nodes on the Internet, and between
  Devices on different constrained networks both joined by an internet."

Changed to :
" CoAP is designed for use between Devices on the same constrained
  network, between Devices and general nodes on the Internet, and between 
Devices on mobile communication networks,
and  between Devices on different constrained networks both joined by an 
internet. "

2 supporting reliable group communication.
" The WG will perform maintenance on its first four standards-track
  specifications (RFC 6690, RFC 7252, -observe, -block) and will
  continue to evolve the experimental group communications support
  (RFC 7390).  The working group will not develop a reliable multicast 
solution."

Changed to:
" The WG will perform maintenance on its first four standards-track
  specifications (RFC 6690, RFC 7252, -observe, -block) and will
  continue to evolve the experimental group communications  (RFC 7390)
  to support reliable group communications.  "

Regards,

Gengyu WEI
Network Technology Center
School of Computer
Beijing University of Posts and Telecommunications
-----原始邮件----- 
From: Carsten Bormann
Sent: Friday, March 27, 2015 11:38 AM
To: [email-masked] WG
Subject: Re: [core] Charter update proposal

Grüße, Carsten